Bug 1260067 - file /usr/lib64/libkpathsea.so.6 from install of texlive-lib-4:2015-4.20150728_r37987.fc24.x86_64 conflicts with file from package texlive-kpathsea-lib-4:2014-12.20140525_r34255.fc24.1.x86_64
file /usr/lib64/libkpathsea.so.6 from install of texlive-lib-4:2015-4.2015072...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: texlive (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-04 07:01 EDT by Richard W.M. Jones
Modified: 2015-09-11 14:43 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-11 14:43:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2015-09-04 07:01:01 EDT
Description of problem:

$ sudo dnf install --best texlive-lib
Last metadata expiration check performed 0:04:37 ago on Fri Sep  4 11:55:13 2015.
Dependencies resolved.
================================================================================
 Package         Arch       Version                           Repository   Size
================================================================================
Installing:
 texlive-lib     x86_64     4:2015-4.20150728_r37987.fc24     rawhide     422 k

Transaction Summary
================================================================================
Install  1 Package

Total download size: 422 k
Installed size: 893 k
Is this ok [y/N]: y
Downloading Packages:
texlive-lib-2015-4.20150728_r37987.fc24.x86_64. 744 kB/s | 422 kB     00:00    
--------------------------------------------------------------------------------
Total                                           172 kB/s | 422 kB     00:02     
Running transaction check
Transaction check succeeded.
Running transaction test
The downloaded packages were saved in cache till the next successful transaction.
You can remove cached packages by executing 'dnf clean packages'
Error: Transaction check error:
  file /usr/lib64/libkpathsea.so.6 from install of texlive-lib-4:2015-4.20150728_r37987.fc24.x86_64 conflicts with file from package texlive-kpathsea-lib-4:2014-12.20140525_r34255.fc24.1.x86_64
  file /usr/lib64/libptexenc.so.1 from install of texlive-lib-4:2015-4.20150728_r37987.fc24.x86_64 conflicts with file from package texlive-kpathsea-lib-4:2014-12.20140525_r34255.fc24.1.x86_64

Error Summary
-------------

Version-Release number of selected component (if applicable):

See above.

How reproducible:

100%

Steps to Reproduce:
1. Upgrade various texlive components in Rawhide.
Comment 1 Tom "spot" Callaway 2015-09-10 18:07:24 EDT
I think I have this fixed. Please test against the texlive-2015-5.20150728_r37987.fc24 build now in rawhide.
Comment 2 Richard W.M. Jones 2015-09-11 07:13:16 EDT
Looks good to me ...

Dependencies resolved.
================================================================================
 Package     Arch       Version                           Repository       Size
================================================================================
Upgrading:
 texlive     x86_64     4:2015-5.20150728_r37987.fc24     koji-x86_64      23 k

Transaction Summary
================================================================================
Upgrade  1 Package

Total download size: 23 k
Is this ok [y/N]: y
Downloading Packages:
texlive-2015-5.20150728_r37987.fc24.x86_64.rpm   53 kB/s |  23 kB     00:00    
--------------------------------------------------------------------------------
Total                                            52 kB/s |  23 kB     00:00     
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Upgrading   : texlive-4:2015-5.20150728_r37987.fc24.x86_64                1/2 
  Cleanup     : texlive-4:2015-4.20150728_r37987.fc24.x86_64                2/2 
  Verifying   : texlive-4:2015-5.20150728_r37987.fc24.x86_64                1/2 
  Verifying   : texlive-4:2015-4.20150728_r37987.fc24.x86_64                2/2 

Upgraded:
  texlive.x86_64 4:2015-5.20150728_r37987.fc24                                  

Complete!
Comment 3 Richard W.M. Jones 2015-09-11 07:14:34 EDT
Actually that was texlive not texlive-lib, but installing the new
texlive-lib works fine too.

Note You need to log in before you can comment on or make changes to this bug.